Bug 3809 - [UPDATE REQUEST] [UPSTREAM UPDATE] ksh
: [UPDATE REQUEST] [UPSTREAM UPDATE] ksh
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-25 16:40 MSK by Andrew Lukoshko
Modified: 2014-03-10 19:29 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2014-02-25 16:40:16 MSK
* Previously, after upgrading KornShell (KSH), the standard error output (stderr) got disconnected. When stderr was disconnected from the terminal, the trace output in debug mode got invisible. As a consequence, debugging scripts on ksh was not always possible. This bug has been fixed and now stderr contains the correct output.

* Previously, using the typeset command in a function in KornShell (KSH) resulted in a memory leak. This bug has been fixed and memory leaks no longer occur when using the typeset command in a function.

http://rhn.redhat.com/errata/RHSA-2014-0159.html

https://abf.rosalinux.ru/build_lists/1658391
https://abf.rosalinux.ru/build_lists/1658392
Comment 1 Alexander Petryakov 2014-02-27 01:45:14 MSK
ksh-20120801-10
*********************** RHEL Advisory *************************
* Previously, after upgrading KornShell (KSH), the standard error output (stderr) got disconnected. When stderr was disconnected from the terminal, the trace output in debug mode got invisible. As a consequence, debugging scripts on ksh was not always possible. This bug has been fixed and now stderr contains the correct output.

* Previously, using the typeset command in a function in KornShell (KSH) resulted in a memory leak. This bug has been fixed and memory leaks no longer occur when using the typeset command in a function.

http://rhn.redhat.com/errata/RHSA-2014-0159.html
***************************************************************
QA Verified